--- title: "Update Label Custom Field Values" slug: "update-label-custom-field-values" updated: 2026-01-06T19:11:43Z published: 2026-01-06T19:11:46Z canonical: "docs.validatar.com/update-label-custom-field-values" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Label Custom Field Values Put/api/v1/DataSteward/projects/{projectId}/labels/{labelId}/custom-fields Update custom field values for a specified label SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token API key needed to access endpoints. Each Validatar user can manage their own set of API keys. Path parametersprojectIdinteger (int32) Required Id of the project of the job having its values updated labelIdinteger (int32) Required Id of the label having its values updated Body parameters List of new values and Ids to update custom fields with Expand Allobject values Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null List of user-defined Custom Field ID and Value pairs object customFieldIdinteger (int32) The ID of the Custom Field to be updated value The new value of the Custom Field certifyValuesboolean Whether the Custom Field values are flagged as certified Expand Allobject values Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null List of user-defined Custom Field ID and Value pairs object customFieldIdinteger (int32) The ID of the Custom Field to be updated value The new value of the Custom Field certifyValuesboolean Whether the Custom Field values are flagged as certified Expand Allobject values Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null List of user-defined Custom Field ID and Value pairs object customFieldIdinteger (int32) The ID of the Custom Field to be updated value The new value of the Custom Field certifyValuesboolean Whether the Custom Field values are flagged as certified Expand Allobject values Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null List of user-defined Custom Field ID and Value pairs object customFieldIdinteger (int32) The ID of the Custom Field to be updated value The new value of the Custom Field certifyValuesboolean Whether the Custom Field values are flagged as certified Responses200 OK Expand Allobject errors Array of object (FileError) | null Errors that occurred during processing object rowinteger (int32) | null columnstring | null descriptionstring | null identicalCountinteger (int32) Count of custom fields that were not changed because of an identical value. insertedCountinteger (int32) Count of custom fields with new values. updatedCountinteger (int32) Count of custom fields that were updated with new values. deletedCountinteger (int32) Count of custom fields with deleted values. skippedCountinteger (int32) Count of custom fields with skipped values. 404 Not Found object errorstring | null